Get an SMS message

View as Markdown

Tip: Use message webhooks for status updates.

Use this endpoint to retrieve the latest status after a missed event.

Get one message owned by the authenticated application.

Authentication

AuthorizationBearer
Application auth. Send `Authorization: Bearer <app_uuid>:<api_key>` using any active key in the app's collection. See [Authentication](https://voice-platform.docs.buildwithfern.com/api/authentication) for details.

Path parameters

message_uuidstringRequiredformat: "^msg_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"

Response

The app-owned message.

channelenum
contentobject
created_atdatetime
directionenum
fromstring
message_uuidstringformat: "^msg_[0-9a-f]{8}-[0-9a-f]{4}-4[0-9a-f]{3}-[89ab][0-9a-f]{3}-[0-9a-f]{12}$"
statusenum
tostringformat: "^\+[1-9]\d{1,14}$"
updated_atdatetime

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error
503
Service Unavailable Error